// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Blueprint/UserWidget.h"
#include "BaseInteractionWidget.generated.h"

/**
 * 
 */
UCLASS()
class INTERACTIONSYSTEM_API UBaseInteractionWidget : public UUserWidget
{
	GENERATED_BODY()
	
public:
	
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, Category = "Interaction System")
	void UpdateInfo(const FText& InteractionText);
	
};
